LogUtils (Freeplane API 1.11.10)
Description: declaration: package: org.freeplane.core.util, class: LogUtils

Package org.freeplane.core.util

# Class LogUtils

java.lang.Object
org.freeplane.core.util.LogUtils

public class LogUtils extends Object
Utilities for logging to the standard logfile.

In scripts this class can be accessed via the "global" variable `logger`, so this is the way to log in scripts:

      try {
          logger.info("this node as date: " + node.to.date)
      } catch (Exception ex) {
          logger.severe('error on conversion of "' + node.text + '" to date', ex)
      }

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getLogDirectory()`
  `static Logger`
  `getLogger()`
  `static void`
  `info(Transferable t)`
  `static void`
  `info(String string)`
  `static boolean`
  `isLikelyToStartErrorLog(LogRecord record)`
  `static void`
  `severe(String message)`
  `static void`
  `severe(String comment, Throwable e)`
  `static void`
  `severe(Throwable e)`
  `static void`
  `warn(String msg)`
  `static void`
  `warn(String comment, Throwable e)`
  `static void`
  `warn(Throwable e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogUtils

    public LogUtils()

- ## Method Details

  - ### getLogDirectory

    public static String getLogDirectory()

  - ### info

    public static void info(String string)

  - ### info

    public static void info(Transferable t)

  - ### severe

    public static void severe(String message)

  - ### severe

    public static void severe(String comment, Throwable e)

  - ### severe

    public static void severe(Throwable e)

  - ### warn

    public static void warn(String msg)

  - ### warn

    public static void warn(String comment, Throwable e)

  - ### warn

    public static void warn(Throwable e)

  - ### getLogger

    public static Logger getLogger()

  - ### isLikelyToStartErrorLog

    public static boolean isLikelyToStartErrorLog(LogRecord record)